Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
Class HibernatePersistenceContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernatePersistenceContextInterceptor

All Implemented Interfaces:
  PersistenceContextInterceptor

    public class HibernatePersistenceContextInterceptor

extends Object
implements PersistenceContextInterceptor

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`HibernatePersistenceContextInterceptor()`

Method Summary
`void` | `clear()` Clear any pending changes.
`void` | `destroy()` Called to finalize the persistent context.
`void` | `disconnect()` Disconnects the persistence context.
`void` | `flush()` Flushes any pending changes to the DB.
`org.hibernate.SessionFactory` | `getSessionFactory()`
`void` | `init()` Called to intialisation the persistent context.
`boolean` | `isOpen()` Checks whether the persistence context is open.
`void` | `reconnect()` Reconnects the persistence context.
`void` | `setReadOnly()` Sets the persistence context to read-only mode.
`void` | `setReadWrite()` Sets the persistence context to read-write mode.
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernatePersistenceContextInterceptor

    public HibernatePersistenceContextInterceptor()

Method Detail

### destroy

    public void destroy()

  Description copied from interface: `PersistenceContextInterceptor`
  Called to finalize the persistent context.

  Specified by:
    `destroy` in interface `PersistenceContextInterceptor`

### disconnect

    public void disconnect()

  Description copied from interface: `PersistenceContextInterceptor`
  Disconnects the persistence context.

  Specified by:
    `disconnect` in interface `PersistenceContextInterceptor`

### reconnect

    public void reconnect()

  Description copied from interface: `PersistenceContextInterceptor`
  Reconnects the persistence context.

  Specified by:
    `reconnect` in interface `PersistenceContextInterceptor`

### flush

    public void flush()

  Description copied from interface: `PersistenceContextInterceptor`
  Flushes any pending changes to the DB.

  Specified by:
    `flush` in interface `PersistenceContextInterceptor`

### clear

    public void clear()

  Description copied from interface: `PersistenceContextInterceptor`
  Clear any pending changes.

  Specified by:
    `clear` in interface `PersistenceContextInterceptor`

### setReadOnly

    public void setReadOnly()

  Description copied from interface: `PersistenceContextInterceptor`
  Sets the persistence context to read-only mode.

  Specified by:
    `setReadOnly` in interface `PersistenceContextInterceptor`

### setReadWrite

    public void setReadWrite()

  Description copied from interface: `PersistenceContextInterceptor`
  Sets the persistence context to read-write mode.

  Specified by:
    `setReadWrite` in interface `PersistenceContextInterceptor`

### isOpen

    public boolean isOpen()

  Description copied from interface: `PersistenceContextInterceptor`
  Checks whether the persistence context is open.

  Specified by:
    `isOpen` in interface `PersistenceContextInterceptor`
  Returns:
    Returns whether the persistence context is open

### init

    public void init()

  Description copied from interface: `PersistenceContextInterceptor`
  Called to intialisation the persistent context.

  Specified by:
    `init` in interface `PersistenceContextInterceptor`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Returns:
    the sessionFactory

### setSessionFactory

    public void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

  Parameters:
    `sessionFactory` - the sessionFactory to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD